const HtmlWebpackPlugin = require('html-webpack-plugin')
const InlineChunkHtmlPlugin = require('inline-chunk-html-plugin')
const webpack = require('webpack')
const path = require('path')
const fs = require('fs')

const distDir = path.resolve(__dirname, 'dist', 'angular-cli')
const buildDir = path.resolve(__dirname, 'build')
const srcDir = path.resolve(__dirname, 'src')

module.exports = {
    mode: 'production',
    target: 'web',
    entry: fs.readdirSync(distDir)
        .filter(name => name.match(/(\.(js|css))$/))
        .map(name => path.resolve(distDir, name)),
    output: {
        publicPath: '',
        filename: '[name].js',
        path: buildDir,
    },
    resolve: {
        extensions: ['', '.js', '.jsx', '.css'],
    },
    plugins: [
        new HtmlWebpackPlugin({
            inject: "body",
            template: path.resolve(srcDir, 'index.html'),
        }),
        new InlineChunkHtmlPlugin(HtmlWebpackPlugin, [/.*/]),
    ],
    optimization: {
    },
    module: {
        rules: [
            {
                test: /\.css$/i,
                use: ["style-loader", "css-loader"],
            },
        ],
    },
    externals: {
    },
}